# Class: Skin

## helma.Skin(source, encFlag)

Instances of this class represent a Helma skin. In addition to the standard skin functionality this class allows creation of a skin based on a Base64 encoded source.

## Constructor

#### new Skin(source, encFlag)

Constructs a new instance of helma.Skin

##### Parameters:

Name | Type | Description
--- | --- | ---
`source` | String | The source of the skin
`encFlag` | Boolean | If true the source will be Base64-decoded.

Source:
  - helma/Skin.js, line 41

##### Returns:

A newly created instance of helma.Skin

### Methods

#### containsMacro(name, handler)

Returns true if the skin contains a macro with the name and optional handler passed as argument.

##### Parameters:

Name | Type | Description
--- | --- | ---
`name` | String | The name of the macro
`handler` | String | An optional macro handler name

Source:
  - helma/Skin.js, line 98

##### Returns:

True if the skin contains this macro at least once, false otherwise.

#### render(param)

Renders the skin.

##### Parameters:

Name | Type | Description
--- | --- | ---
`param` | Object | An optional parameter object to pass to the skin.

Source:
  - helma/Skin.js, line 76

#### renderAsString(param)

Returns the rendered skin.

##### Parameters:

Name | Type | Description
--- | --- | ---
`param` | Object | An optional parameter object to pass to the skin.

Source:
  - helma/Skin.js, line 85

#### valueOf()

Returns the source of the skin as Base64 encoded string

Source:
  - helma/Skin.js, line 64

##### Returns:

The source of the skin as Base64 encoded string